masoc & pasoc
11/01/2012 11:57 AM - Ben Wilson

Status: Closed Start date: 11/01/2012
Priority: Normal % Done: 100%
Assignee: Redmine Admin

Category: Data analysis

Description

Hi

Do you have some code (preferably in stata) that | could use to collapse SOC90 information into something useful for analysis? | am
working with masoc and pasoc in UKHLS wave 1.

Thanks

Ben

History

#1 - 11/05/2012 09:52 AM - Redmine Admin
- Status changed from New to In Progress
- Assignee set to Redmine Admin

- % Done changed from 0 to 50

Ben,

There are a couple of things you could do to categorise the family background information.

The simplest would be to create SOC Major Groups (1-digit) from the SOC codes. The first digit is intended to capture skill level of the occupation
(see e.g.
http://www.ons.gov.uk/ons/guide-method/classifications/current-standard-classifications/soc2010/soc2010-volume-3-ns-sec--rebased-on-soc2010--us
er-manual/index.html).

You could also derive the NS-SEC from SOC codes according to the simplified method (www.esds.ac.uk/government/dv/nssec/nssecdetails.doc).
The first would be very simple to create in any software package. We haven't yet written the code to derive the second, but the links provided should
give you all the necessary details.

Jakob

#2 - 11/16/2012 05:50 PM - Redmine Admin
- Status changed from In Progress to Closed

- % Done changed from 50 to 100
